/*
********************************************************************************
* COPYRIGHT(c)    ϻ, 2019
* 
*        (as is).
*     .
********************************************************************************
*/




#ifndef __BOARD_H
#define __BOARD_H

#include "stm32f042x6.h"

//
#define       KEYS_GPIO                    GPIOA
#define       KEY_0_PIN                    0
#define       KEY_1_PIN                    1
#define       KEY_2_PIN                    2
#define       KEY_3_PIN                    3
#define       KEY_4_PIN                    6
#define       KEYS_COUNT                   5

//I2S
#define       I2S_GPIO                     GPIOA
#define       I2S_PORT                     SPI1
#define       I2S_WS_PIN                   4
#define       I2S_WS_AF                    0
#define       I2S_CK_PIN                   5
#define       I2S_CK_AF                    0
#define       I2S_MCK_PIN                  6
#define       I2S_MCK_AF                   0
#define       I2S_SD_PIN                   7
#define       I2S_SD_AF                    0

#define       I2S_DMA_CHANNEL              DMA1_Channel3
#define       I2S_DMA_IRQ                  DMA1_Channel2_3_IRQn


#define       MCLK_TIMER                   TIM14
#define       MCLK_TIMER_ENR               APB1ENR
#define       MCLK_TIMER_CLK_EN            RCC_APB1ENR_TIM14EN
#define       MCLK_TIMER_AF                0

#define       MCLK_GPIO                    GPIOB
#define       MCLK_PIN                     1



void Board_Init();




#endif //__BOARD_H

